### Method

# Camel WeakRefGroup set

since: 3.24

#### Declaration [src]

    void
    camel_weak_ref_group_set (
      CamelWeakRefGroup* group,
      gpointer object
    )

#### Description [src]

Sets the `object` as the object help by this `group`. If the `object` is `NULL`, then unsets any previously set.

Available since: 3.24

#### Parameters

`object`

  Type: `gpointer`

  A `GObject` descendant, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.